import React from 'react';
import type { WorkspaceTab } from '../stores/workspaces';
type CompassWorkspacesProps = {
    tabs: WorkspaceTab[];
    activeTab?: WorkspaceTab | null;
    onSelectTab(at: number): void;
    onSelectNextTab(): void;
    onSelectPrevTab(): void;
    onMoveTab(from: number, to: number): void;
    onCreateTab(): void;
    onCloseTab(at: number): void;
    onTabChange?: (tab: WorkspaceTab) => void;
};
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<CompassWorkspacesProps>, {
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=workspaces.d.ts.map