import React from 'react';
import { type OpenWorkspaceOptions, type WorkspaceTab } from '../stores/workspaces';
import type { ConnectionInfo } from '@mongodb-js/connection-storage/renderer';
type WorkspacesWithSidebarProps = {
    activeWorkspace: WorkspaceTab | null;
    onActiveWorkspaceTabChange(ws: WorkspaceTab | null): void;
    initialWorkspaceTab?: OpenWorkspaceOptions;
    initialConnectionInfo?: ConnectionInfo;
};
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<WorkspacesWithSidebarProps>, {
    onActiveWorkspaceTabChange: (ws: WorkspaceTab | null) => void;
    initialConnectionInfo?: ConnectionInfo | undefined;
    initialWorkspaceTab?: OpenWorkspaceOptions | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=index.d.ts.map